Download it now!
Bug 88922 - Resizing a chart legend makes the chart's body rezise on top of it
Summary: Resizing a chart legend makes the chart's body rezise on top of it
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
4.2.5.2 release
Hardware: x86-64 (AMD64) All
: medium minor
Assignee: Balázs Varga
URL:
Whiteboard: target:6.5.0 target:6.4.0.1 target:6.3.5
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Chart
  Show dependency treegraph
 
Reported: 2015-01-30 04:49 UTC by evaned
Modified: 2019-12-09 12:42 UTC (History)
9 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description evaned 2015-01-30 04:49:09 UTC
1. Create a new document
2. Enter some data, e.g. that below
3. Select it, click the chart button, click finish
4. Resize the legend

Expected: the legend resizes
Actual: so does the actual main body of the chart, which now has expanded to overlap the legend

(See https://www.youtube.com/watch?v=MI_vHnWN7kw if that explanation doesn't make sense)

This behavior is NOT present in OpenOffice 4.1.1, which behaves as expected.

The following table is enough to show this behavior (two cols, two rows):

       a
A      1
Comment 1 evaned 2015-01-30 04:49:54 UTC
By the way, the video was with a previous release of LO (4.3), but the behavior exists in 4.4.0.3 as well.
Comment 2 raal 2015-01-30 08:54:24 UTC
(In reply to evaned from comment #1)
> By the way, the video was with a previous release of LO (4.3), but the
> behavior exists in 4.4.0.3 as well.

Version = The earliest version of the software in which the bug can be reproduced.
Comment 3 Buovjaga 2015-01-31 13:03:32 UTC
Reproduced with >= 4.3.3.2.
Not reproduced with 3.5.

Win 7 Pro 64-bit Version: 4.5.0.0.alpha0+
Build ID: 309574394bd4ae3e9e10e5ff0d64bdd7bbbc8b83
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-01-29_23:44:46

Ubuntu 14.10 64-bit Version: 4.5.0.0.alpha0+
Build ID: 8fd9c25ac66dd238d4c68be3974241a18cb21705
TinderBox: Linux-rpm_deb-x86_64@46-TDF-dbg, Branch:master, Time: 2015-01-27_22:43:15

and

Version: 4.3.3.2
Build ID: 430m0(Build:2)

LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4

LibreOffice 3.5.0rc3 
Build ID: 7e68ba2-a744ebf-1f241b7-c506db1-7d53735
Comment 4 tmacalp 2015-02-01 01:11:34 UTC
I bibisected, but had to skip one version because of an "ERROR 4 forking process."

Bibisect results:
There are only 'skip'ped commits left to test.
The first bad commit could be any of:
10aad62814a73c9f547fe1ae8b566b8905e62675
dbc806fd61243c2ae720c1c884758cc4d9f2073a
We cannot bisect more!

$ git bisect log
git bisect start 'last42onmaster' 'last41onmaster'
# good: [186181c7d6a957b0fcdbc7ff66866f1abfff988e] source-hash-79850f25987d12c8ee91dfd0f699a562f341bf67
git bisect good 186181c7d6a957b0fcdbc7ff66866f1abfff988e
# good: [f0f03d19b3f0418cef7eb8c5b3f060266781016f] source-hash-3ad12d1a540eeb54fbb34afc3b7a76bf9e3207c3
git bisect good f0f03d19b3f0418cef7eb8c5b3f060266781016f
# good: [f0f03d19b3f0418cef7eb8c5b3f060266781016f] source-hash-3ad12d1a540eeb54fbb34afc3b7a76bf9e3207c3
git bisect good f0f03d19b3f0418cef7eb8c5b3f060266781016f
# good: [8aabf2aee6514311020b855a95a6e44bab3a5b0d] source-hash-0aa9ced531b8d85ad067c1d156a9708eea628d78
git bisect good 8aabf2aee6514311020b855a95a6e44bab3a5b0d
# good: [8aabf2aee6514311020b855a95a6e44bab3a5b0d] source-hash-0aa9ced531b8d85ad067c1d156a9708eea628d78
git bisect good 8aabf2aee6514311020b855a95a6e44bab3a5b0d
# good: [04fadf08bf37fc3cedd86abd14e7588ecd152722] source-hash-a1aea9418f860595641da8dcc971f656eaacf8a3
git bisect good 04fadf08bf37fc3cedd86abd14e7588ecd152722
# good: [04fadf08bf37fc3cedd86abd14e7588ecd152722] source-hash-a1aea9418f860595641da8dcc971f656eaacf8a3
git bisect good 04fadf08bf37fc3cedd86abd14e7588ecd152722
# good: [65e48c5eb27d520e5415ad1137a2dbe6d3066e6b] source-hash-9ab89a7599f79092027ae86b5b4cd0e3d67b8b4d
git bisect good 65e48c5eb27d520e5415ad1137a2dbe6d3066e6b
# good: [65e48c5eb27d520e5415ad1137a2dbe6d3066e6b] source-hash-9ab89a7599f79092027ae86b5b4cd0e3d67b8b4d
git bisect good 65e48c5eb27d520e5415ad1137a2dbe6d3066e6b
# skip: [10aad62814a73c9f547fe1ae8b566b8905e62675] source-hash-e79c706ddda21f850fe3c5a867bacf3982e5b112
git bisect skip 10aad62814a73c9f547fe1ae8b566b8905e62675
# bad: [dbc806fd61243c2ae720c1c884758cc4d9f2073a] source-hash-d7e4e5d35e66dbfcc30576d198e393661d84f616
git bisect bad dbc806fd61243c2ae720c1c884758cc4d9f2073a
# bad: [dbc806fd61243c2ae720c1c884758cc4d9f2073a] source-hash-d7e4e5d35e66dbfcc30576d198e393661d84f616
git bisect bad dbc806fd61243c2ae720c1c884758cc4d9f2073a
# good: [4bc946d4de21c39a676394c1da0b714fcb9af011] source-hash-3dab6fcbedf21c1d2971527f6f99fa46d3d45514
git bisect good 4bc946d4de21c39a676394c1da0b714fcb9af011
# only skipped commits left to test
# possible first bad commit: [dbc806fd61243c2ae720c1c884758cc4d9f2073a] source-hash-d7e4e5d35e66dbfcc30576d198e393661d84f616
# possible first bad commit: [10aad62814a73c9f547fe1ae8b566b8905e62675] source-hash-e79c706ddda21f850fe3c5a867bacf3982e5b112
Comment 5 Matthew Francis 2015-02-01 13:23:56 UTC
This began somewhere in the series c5843e73665617f7febb326836c8f31d3f186200..1c6b94c78e6c77eeaf279903d146fdc157007fa9
(which aren't individually buildable)

Adding Cc: to markus.mohrhard@googlemail.com; Could you possibly take a look at this? Thanks


commit c5843e73665617f7febb326836c8f31d3f186200
Author: Markus Mohrhard <markus.mohrhard@googlemail.com>
Date:   Thu Oct 10 05:47:04 2013 +0200

    remove a few more unnecessary lines
    
    Change-Id: I44eafb69bf32cb8dbf7d07278a010ca4d812a832

......

commit 1c6b94c78e6c77eeaf279903d146fdc157007fa9
Author: Markus Mohrhard <markus.mohrhard@googlemail.com>
Date:   Tue Oct 22 21:06:08 2013 +0200

    fix the windows build
    
    Change-Id: Ie3625211a32c41dd0fadf94294bc689aef7b1c24
Comment 6 Robinson Tryon (qubit) 2015-12-13 11:12:01 UTC Comment hidden (obsolete)
Comment 7 Xisco Faulí 2016-09-26 17:07:29 UTC
Adding Cc: to Markus Mohrhard
Comment 8 Xisco Faulí 2017-09-29 08:48:04 UTC Comment hidden (obsolete)
Comment 9 evaned 2017-11-02 06:40:35 UTC
> If the bug is present, please leave a comment that includes the version
> of LibreOffice and your operating system, and any changes you see in
> the bug behavior

Still repros for me with 5.4.22, x86_64, Windows 8.1.
Comment 10 evaned 2017-11-02 06:45:37 UTC
Typo; that should be 5.4.2.2, not 5.4.22
Comment 11 QA Administrators 2018-11-03 03:50:45 UTC Comment hidden (obsolete)
Comment 13 Xisco Faulí 2019-05-14 22:35:23 UTC
Still reproducible in

Version: 6.3.0.0.alpha1+
Build ID: 5053584e71d98ae6bfba405145c45815ba7ad898
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 14 Commit Notification 2019-11-27 11:04:14 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/739ed2c29f49ea5e83bcd1352b2644c2e2d09f7b

tdf#115630 tdf#88922 Chart: fix custom legend position and size

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Xisco Faulí 2019-12-02 15:14:24 UTC
Verified in

Version: 6.5.0.0.alpha0+
Build ID: ea97f0926e138712c3800f5274012f0f04fc1c47
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Balázs Varga, thanks for fixing this issue!
Comment 16 Commit Notification 2019-12-02 15:16:49 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/1903d0275b09d88eec6e57303a8a7d34246cb230

tdf#115630 tdf#88922 Chart: fix custom legend position and size

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 17 Commit Notification 2019-12-09 12:42:50 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/8c39a4ea777c0afa1dbea9a3399436d22c2e6e70

tdf#115630 tdf#88922 Chart: fix custom legend position and size

It will be available in 6.3.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.